OGRE: Ogre::PropertyBase Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::PropertyBase Class Reference
[Property]

Base interface for an instance of a property. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyBase:
[legend]

List of all members.

## Public Member Functions
| PropertyBase (PropertyDef *def)
| Constructor.
virtual | ~PropertyBase ()
const String & | getName () const
| Get the name of the property.
const String & | getDescription () const
| Get the description of the property.
PropertyType | getType () const
| Get the type of the property.
virtual Ogre::Any | getValue () const =0
| Return the current value as an Any.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
| PropertyBase ()
## Protected Attributes
PropertyDef * | mDef

## Detailed Description

Base interface for an instance of a property.

Definition at line 193 of file OgreProperty.h.

## Constructor & Destructor Documentation

Ogre::PropertyBase::PropertyBase | ( | PropertyDef * | def | ) |

Constructor.

Definition at line 197 of file OgreProperty.h.

virtual Ogre::PropertyBase::~PropertyBase | ( |  | ) | `[virtual]`

Definition at line 198 of file OgreProperty.h.

Ogre::PropertyBase::PropertyBase | ( |  | ) | `[protected]`

Definition at line 214 of file OgreProperty.h.

## Member Function Documentation

const String& Ogre::PropertyBase::getDescription | ( |  | ) | const

Get the description of the property.

Definition at line 204 of file OgreProperty.h.

const String& Ogre::PropertyBase::getName | ( | void |  | ) | const

Get the name of the property.

Definition at line 201 of file OgreProperty.h.

PropertyType Ogre::PropertyBase::getType | ( | void |  | ) | const

Get the type of the property.

Definition at line 207 of file OgreProperty.h.

Referenced by Ogre::PropertySet::getPropertyImpl(), and Ogre::PropertySet::setPropertyImpl().

virtual Ogre::Any Ogre::PropertyBase::getValue | ( |  | ) | const`[pure virtual]`

Return the current value as an Any.

Implemented in Ogre::Property< T >.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

PropertyDef* Ogre::PropertyBase::mDef`[protected]`

Definition at line 215 of file OgreProperty.h.

The documentation for this class was generated from the following file:

- OgreProperty.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04